Page MenuHomePhabricator

Localization messages for Add to Reading List browser extension
Closed, ResolvedPublic

Description

Some additional i18n messages not yet present in Extension:ReadingLists are needed to support a reading list client:

  • A success message (e.g., "Page added!")
  • A reading lists-specific login required message (e.g., "You must be logged in to access your reading lists.")
  • (optional) An introductory clause to precede an API error message (e.g., "Failed to add page:")

See T191817 regarding the specific wording of the messages.

TODO:

  • Add strings to the ReadingLists extension for translation
  • Incorporate them into the browser extension

Event Timeline

Mholloway triaged this task as High priority.Apr 9 2018, 9:41 PM
Mholloway created this task.
Mholloway removed the point value for this task.
Mholloway reopened this task as Open.EditedApr 17 2018, 7:54 PM

Reopening this to track the technical work needed to accomplish this.

@Tgr I was thinking these strings could be added to the ReadingLists extension for i18n purposes—any reason they should be kept separate?

Tgr added a comment.Apr 18 2018, 11:56 AM

Do you want to ship the translations with the extension or fetch them with the API? In the first case, it might be easier to set them up as a new translatewiki.net project.

I had planned to fetch them with the API, but setting up a new translatewiki.net project also seems like a promising option. The only drawback I can see there is that MediaWiki might have many more interested translators than a standalone project for this extension.

Are most of the browser extension messages already present in the MW extension?

Mholloway updated the task description. (Show Details)Apr 18 2018, 4:41 PM

Are most of the browser extension messages already present in the MW extension?

See T191817 and the doc linked there for better discussion. There are some strings that don't exist at all in the extension, and others (e.g., when the user is not logged in) for which I think the string resource used there is too generic for client use.

Mholloway updated the task description. (Show Details)Apr 18 2018, 4:47 PM
Mholloway added a comment.EditedApr 19 2018, 2:29 PM

Maybe it's better to keep these in the ReadingLists extension from the start, considering this browser extension will likely be superseded in the not-too-distant future by a full web interface.

If we end up doing this then it would be good to add an additional prefix to the messages that are only in the browser extension, so they can be easily moved to the right place. Sounds like there is not much overlap between the two in terms of message, so maybe keeping it separate from the start makes sense.

Change 427678 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/ReadingLists@master] Add i18n messages for the browser extension

https://gerrit.wikimedia.org/r/427678

If we end up doing this then it would be good to add an additional prefix to the messages that are only in the browser extension, so they can be easily moved to the right place. Sounds like there is not much overlap between the two in terms of message, so maybe keeping it separate from the start makes sense.

I have the new messages prefixed with readinglists-browser in the patch I just pushed.

Besides the considerations mentioned above, I also opted to put the new messages in the existing MW extension because (a) there are only five of them, and (b) TWN prefers to support projects that are intended for long-term development, and this standalone browser extension is likely only a temporary project.

From TWN: "We value the work of our volunteer translators, which means we are looking for healthy projects which are actively developed for the foreseeable future."

That sounds good to me.

Change 427678 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Add i18n messages for the browser extension

https://gerrit.wikimedia.org/r/427678

Mholloway renamed this task from i18n messages for Add to Reading List browser extension to Localization messages for Add to Reading List browser extension.May 14 2018, 4:48 PM
Mholloway closed this task as Resolved.May 22 2018, 3:41 PM